AUDIT_REQUEST_LIST_DATA(3)

NAME
audit_request_rules_list_data - Request list of current audit rules

SYNOPSIS
#include <libaudit.h>

int audit_request_rules_list_data (int fd);

DESCRIPTION
audit_request_rules_list_data sends a request to the kernel to list the current audit rules. The rules are sent back one after another after this request is issued.

RETURN VALUE
The return value is <= 0 on error, otherwise it is the netlink sequence id number. This function can have any error that sendto would encounter.

SEE ALSO
audit_add_rule_data(3), audit_delete_rule_data(3), audit_open(3), auditctl(8).

AUTHOR
Steve Grubb